diff --git a/src/gui/qgsoptionsdialogbase.cpp b/src/gui/qgsoptionsdialogbase.cpp
index 9251e0f..6d2d134 100644
--- a/src/gui/qgsoptionsdialogbase.cpp
+++ b/src/gui/qgsoptionsdialogbase.cpp
@@ -96,9 +96,9 @@ void QgsOptionsDialogBase::restoreOptionsBaseUi()
   mOptSplitter->restoreState( settings.value( QString( "/Windows/%1/splitState" ).arg( mOptsKey ) ).toByteArray() );
   int curIndx = settings.value( QString( "/Windows/%1/tab" ).arg( mOptsKey ), 0 ).toInt();
 
-  // if the last used tab is not enabled, or is missing, display the first enabled one
-  if ( !mOptStackedWidget->widget( curIndx )->isEnabled()
-       || mOptStackedWidget->count() < ( curIndx + 1 ) )
+  // if the last used tab is out of range or not enabled display the first enabled one
+  if ( mOptStackedWidget->count() < ( curIndx + 1 )
+       || !mOptStackedWidget->widget( curIndx )->isEnabled() )
   {
     curIndx = 0;
     for ( int i = 0; i < mOptStackedWidget->count(); i++ )
@@ -109,7 +109,6 @@ void QgsOptionsDialogBase::restoreOptionsBaseUi()
         break;
       }
     }
-    curIndx = -1; // default fallback
   }
 
   mOptStackedWidget->setCurrentIndex( curIndx );
